Package org.apache.commons.imaging

# Class ImagingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.imaging.ImagingException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ImagingOverflowException`

public class ImagingException extends IOException
The root class for implementing custom exceptions in the Apache Commons Imaging component.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImagingException(String message)`
  Constructs a new exception with the specified detail message.
  `ImagingException(String message, Object data)`
  Constructs a new exception with the specified detail message and cause.
  `ImagingException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.
  `ImagingException(Throwable cause)`
  Constructs a new exception.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImagingException

    public ImagingException(String message)
    Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

  - ### ImagingException

    public ImagingException(String message, Object data)
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `data` - data typed to build the message.

  - ### ImagingException

    public ImagingException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### ImagingException

    public ImagingException(Throwable cause)
    Constructs a new exception.
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)